Loading...
Searching...
No Matches
SqlUtil::QueryInfo Struct Reference
SQL Column Operators

Query information. More...

`#include <SqlUtil.qm.dox.h>`

## Public Attributes

list< auto > | args
| arguments to bind in the query generated
*hash< auto > | column_operator_map
| Any custom column operator map.
*hash< auto > | expression_map
| The expression map.
*hash< string, AbstractTable > | join_map
| Tables in this join; table alias -> table.
*hash< auto > | pseudo_column_map
| Any valid pseudocolumns or aliases generated in th query.
*hash< auto > | query_hash
| The original query hash.
*hash< auto > | query_options
| Any query options.
*hash< string, bool > | subquery_column_map
| When executing a superquery, we can only reference colums in the subquery.
object | table
| The primary table object.
*hash< auto > | where_operator_map
| The old-style backwards-compatible "where operator" map.

## Detailed Description

Query information.